Bug 199424 - xargs gives -I as a valid option in its output but says invalid option on Use
xargs gives -I as a valid option in its output but says invalid option on Use
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: findutils (Show other bugs)
4.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Mike McLean
:
Depends On:
Blocks: FAST4.5APPROVED
  Show dependency treegraph
 
Reported: 2006-07-19 10:26 EDT by Michal Bielicki
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0679
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-27 02:36:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the attached patch should fix that (1.30 KB, application/octet-stream)
2006-07-19 10:26 EDT, Michal Bielicki
no flags Details

  None (edit)
Description Michal Bielicki 2006-07-19 10:26:12 EDT
Description of problem:
-bash-3.00# xargs -I
xargs: invalid option -- I
Usage: xargs [-0prtx] [-E eof-str] [-e[eof-str]] [-I replace-str]
       [-i[replace-str]] [-L max-lines] [-l[max-lines]] [-n max-args]
       [-s max-chars] [-P max-procs] [--null] [--eof[=eof-str]]
       [--replace[=replace-str]] [--max-lines[=max-lines]] [--interactive]
       [--max-chars=max-chars] [--verbose] [--exit] [--max-procs=max-procs]
       [--max-args=max-args] [--no-run-if-empty] [--version] [--help]
       [command [initial-arguments]]



Version-Release number of selected component (if applicable):


How reproducible:
type xargs -I :)


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Michal Bielicki 2006-07-19 10:26:12 EDT
Created attachment 132688 [details]
the attached patch should fix that
Comment 2 Ralph Angenendt 2006-07-19 10:37:15 EDT
The attached patch already *is* in the package. And looks okay to me, but I'm
really no programmer.
Comment 3 Michal Bielicki 2006-07-19 10:42:42 EDT
But it seems to not work :( *sigh* It works fine in the newer packages in fc5 though
Comment 4 Miloslav Trmač 2006-07-19 17:58:55 EDT
The patch is correct, but a later findutils-arg-size.patch reverts one part
of it.

You can use (xargs -i...) as a workaround.

If you are a RHEL customer and have an active support entitlement, please
contact official Red Hat Support at https://www.redhat.com/apps/support/ to
allow correct prioritization of this issue.
Comment 13 Red Hat Bugzilla 2006-09-27 02:36:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0679.html

Note You need to log in before you can comment on or make changes to this bug.